apiVersion: apps/v1
kind: Deployment
metadata:
  name: frontend-deployment
spec:
  replicas: 1
  selector:
    matchLabels:
      app: frontend
  template:
    metadata:
      labels:
        app: frontend
    spec:
      containers:
        - name: frontend-container
          image: 113151719/frontend:6
          imagePullPolicy: Always
---

apiVersion: apps/v1
kind: Deployment
metadata:
  name: backend-deployment
spec:
  replicas: 1
  selector:
    matchLabels:
      app: backend
  template:
    metadata:
      labels:
        app: backend
    spec:
      containers:
        - name: backend-container
          image: 113151719/backend:9
          imagePullPolicy: Always
---

apiVersion: v1
kind: Service
metadata:
  name: frontend-service
spec:
  ports:
    - name: http
      targetPort: 8080
      port: 80
  type: NodePort
  selector:
    app: frontend
---

apiVersion: v1
kind: Service
metadata:
  name: backend-service
spec:
  ports:
    - name: http
      targetPort: 8080
      port: 80
  type: ClusterIP
  selector:
    app: backend
---

apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: frontend-ingress
  annotations:
    kubernetes.io/ingress.class: traefik
spec:
  rules:
    - host: frontend.localhost
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: frontend-service
                port:
                  number: 8080